Get Wallet by Address
curl --request GET \
--url https://api-production.fossapay.com/v1/wallets/crypto/address/{address} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-production.fossapay.com/v1/wallets/crypto/address/{address}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-production.fossapay.com/v1/wallets/crypto/address/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"statusCode": 200,
"message": "Crypto wallet retrieved successfully",
"data": [
{
"address": "8a0BY97fxiX26Pe2ckc3ke***z5MtWBCVk4pEx96Sqeb",
"network": "solana",
"tokens": {
"usdc": {
"amount": "0",
"rawAmount": "0"
},
"usdt": {
"amount": "0",
"rawAmount": "0"
}
}
}
]
}
Crypto Wallets
Get Wallet by Address
Retrieve crypto wallet details by wallet address
GET
/
v1
/
wallets
/
crypto
/
address
/
{address}
Get Wallet by Address
Path Parameters
Crypto wallet address (e.g., blockchain address)
Headers
API Key for authentication
Request Example
curl -X GET https://api-production.fossapay.com/v1/wallets/crypto/address/YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2 \
-H "x-api-key: your_api_key_here"
const response = await fetch(
'https://api-production.fossapay.com/v1/wallets/crypto/address/YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2',
{
method: 'GET',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
}
}
);
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const wallet = await response.json();
Response
{
"status": "success",
"statusCode": 200,
"message": "Crypto wallet retrieved successfully",
"data": [
{
"address": "8a0BY97fxiX26Pe2ckc3ke***z5MtWBCVk4pEx96Sqeb",
"network": "solana",
"tokens": {
"usdc": {
"amount": "0",
"rawAmount": "0"
},
"usdt": {
"amount": "0",
"rawAmount": "0"
}
}
}
]
}
Error Responses
⌘I

